import { trigger, transition, style, animate } from '@angular/animations';

export const showFromRightAnimation = trigger('showFromRightAnimation', [
  transition('void => true', [
    style({ opacity: 0, transform: 'translateX(200%)' }),
    animate('0.5s ease-out', style({ opacity: 1, transform: 'translateX(0%)' })),
  ]),
]);

export const showFromLeftAnimation = trigger('showFromLeftAnimation', [
  transition('void => true', [
    style({ opacity: 0, transform: 'translateX(-200%)' }),
    animate('0.5s ease-out', style({ opacity: 1, transform: 'translateX(0%)' })),
  ]),
]);
